scala.dbc.datatype
class CharacterVarying

[source: `scala/dbc/datatype/CharacterVarying.scala`]

`abstract` `class` CharacterVarying
  `extends` CharacterString

  A SQL type for a varying length string of characters with arbitrary maximal length and arbitrary character set.

Values and Variables inherited from CharacterString
nativeTypeId

Method Summary
`def` | isEquivalent (datatype : DataType) : Boolean Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.
`def` | isSubtypeOf (datatype : DataType) : Boolean Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.
`abstract def` | length : Int The maximal length of the string defined in characters.
`override def` | sqlString : String A SQL-99 compliant string representation of the type.

Methods inherited from CharacterString
encoding

Methods inherited from String
maxLength

Methods inherited from DataType
nullable

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` isEquivalent(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.

`` `def` isSubtypeOf(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.

`abstract` `def` length : Int

  The maximal length of the string defined in characters.

`override` `def` sqlString : String

  A SQL-99 compliant string representation of the type.